models/Animalesmarinos.php
<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "animalesmarinos".
 *
 * @property int $id
 * @property string|null $nombre
 * @property int|null $precio
 * @property string|null $sombra
 * @property string|null $velocidad
 *
 * @property Consiguen[] $consiguens
 * @property Jugadores[] $idjugadores
 * @property Mesesam[] $mesesams
 */
class Animalesmarinos extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'animalesmarinos';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['precio'], 'integer'],
            [['nombre'], 'string', 'max' => 40],
            [['sombra'], 'string', 'max' => 15],
            [['velocidad'], 'string', 'max' => 20],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'nombre' => 'Nombre',
            'precio' => 'Precio',
            'sombra' => 'Sombra',
            'velocidad' => 'Velocidad',
        ];
    }

    /**
     * Gets query for [[Consiguens]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getConsiguens()
    {
        return $this->hasMany(Consiguen::class, ['idam' => 'id']);
    }

    /**
     * Gets query for [[Idjugadores]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getIdjugadores()
    {
        return $this->hasMany(Jugadores::class, ['id' => 'idjugadores'])->viaTable('consiguen', ['idam' => 'id']);
    }

    /**
     * Gets query for [[Mesesams]].
     *
     * @return \yii\db\ActiveQuery
     */
    public function getMesesams()
    {
        return $this->hasMany(Mesesam::class, ['idam' => 'id']);
    }
}

controllers/AnimalesmarinosController.php
<?php

namespace app\controllers;

use app\models\Animalesmarinos;
use yii\data\ActiveDataProvider;
use yii\web\Controller;
use yii\web\NotFoundHttpException;
use yii\filters\VerbFilter;

/**
 * AnimalesmarinosController implements the CRUD actions for Animalesmarinos model.
 */
class AnimalesmarinosController extends Controller
{
    /**
     * @inheritDoc
     */
    public function behaviors()
    {
        return array_merge(
            parent::behaviors(),
            [
                'verbs' => [
                    'class' => VerbFilter::className(),
                    'actions' => [
                        'delete' => ['POST'],
                    ],
                ],
            ]
        );
    }

    /**
     * Lists all Animalesmarinos models.
     *
     * @return string
     */
    public function actionIndex()
    {
        $dataProvider = new ActiveDataProvider([
            'query' => Animalesmarinos::find(),
            /*
            'pagination' => [
                'pageSize' => 50
            ],
            'sort' => [
                'defaultOrder' => [
                    'id' => SORT_DESC,
                ]
            ],
            */
        ]);

        return $this->render('index', [
            'dataProvider' => $dataProvider,
        ]);
    }

    /**
     * Displays a single Animalesmarinos model.
     * @param int $id ID
     * @return string
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionView($id)
    {
        return $this->render('view', [
            'model' => $this->findModel($id),
        ]);
    }

    /**
     * Creates a new Animalesmarinos model.
     * If creation is successful, the browser will be redirected to the 'view' page.
     * @return string|\yii\web\Response
     */
    public function actionCreate()
    {
        $model = new Animalesmarinos();

        if ($this->request->isPost) {
            if ($model->load($this->request->post()) && $model->save()) {
                return $this->redirect(['view', 'id' => $model->id]);
            }
        } else {
            $model->loadDefaultValues();
        }

        return $this->render('create', [
            'model' => $model,
        ]);
    }

    /**
     * Updates an existing Animalesmarinos model.
     * If update is successful, the browser will be redirected to the 'view' page.
     * @param int $id ID
     * @return string|\yii\web\Response
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionUpdate($id)
    {
        $model = $this->findModel($id);

        if ($this->request->isPost && $model->load($this->request->post()) && $model->save()) {
            return $this->redirect(['view', 'id' => $model->id]);
        }

        return $this->render('update', [
            'model' => $model,
        ]);
    }

    /**
     * Deletes an existing Animalesmarinos model.
     * If deletion is successful, the browser will be redirected to the 'index' page.
     * @param int $id ID
     * @return \yii\web\Response
     * @throws NotFoundHttpException if the model cannot be found
     */
    public function actionDelete($id)
    {
        $this->findModel($id)->delete();

        return $this->redirect(['index']);
    }

    /**
     * Finds the Animalesmarinos model based on its primary key value.
     * If the model is not found, a 404 HTTP exception will be thrown.
     * @param int $id ID
     * @return Animalesmarinos the loaded model
     * @throws NotFoundHttpException if the model cannot be found
     */
    protected function findModel($id)
    {
        if (($model = Animalesmarinos::findOne(['id' => $id])) !== null) {
            return $model;
        }

        throw new NotFoundHttpException('The requested page does not exist.');
    }
    
    /** consulta para que muestre los animales marinos que tengo en la base de datos junto con el nombre, el precio, la sombra y la velocidad */
      public function actionConsultaAnimalesmarinos()
    {
    $dataProvider = new ActiveDataProvider([
        'query' => Animalesmarinos::find()->select('id, nombre, precio, sombra, velocidad'),
        'pagination' => [
            'pageSize' => -1, // Establece el número de registros por página
        ],
    ]);

    return $this->render('consulta-animales-marinos', [
        'dataProvider' => $dataProvider,
    ]);
}

/* CONSULTAS PARA EL DESPLEGABLE DE LAS SOMBRAS */

/* Consulta para que muestre la sombra muy pequeña de los animales marinos en el desplegable */
    public function actionMuypequena(){
     $dataProvider = new ActiveDataProvider([
        'query' => Animalesmarinos::find()
            ->select(['id','nombre'])
            ->where(['sombra' => 'muy pequeña']),
             ]);
        return $this->render("animales-marinos-sombra-muy-pequena",[
            "dataProvider"=>$dataProvider,
        ]);
    }

/* Consulta para que muestre la sombra pequeña de los animales marinos en el desplegable */
    public function actionPequena(){
     $dataProvider = new ActiveDataProvider([
        'query' => Animalesmarinos::find()
            ->select(['id','nombre'])
            ->where(['sombra' => 'pequeña']),
             ]);
        return $this->render("animales-marinos-sombra-pequena",[
            "dataProvider"=>$dataProvider,
        ]);
    }
    
/* Consulta para que muestre la sombra mediana de los animales marinos en el desplegable */
    public function actionMediana(){
     $dataProvider = new ActiveDataProvider([
        'query' => Animalesmarinos::find()
            ->select(['id','nombre'])
            ->where(['sombra' => 'mediana']),
             ]);
        return $this->render("animales-marinos-sombra-mediana",[
            "dataProvider"=>$dataProvider,
        ]);
    }
    
/* Consulta para que muestre la sombra grande de los animales marinos en el desplegable */
    public function actionGrande(){
     $dataProvider = new ActiveDataProvider([
        'query' => Animalesmarinos::find()
            ->select(['id','nombre'])
            ->where(['sombra' => 'grande']),
             ]);
        return $this->render("animales-marinos-sombra-grande",[
            "dataProvider"=>$dataProvider,
        ]);
    }

/* CONSULTAS PARA EL DESPLEGABLE DE LA VELOCIDAD */  
    
/* Consulta para que muestren los animales marinos sin velocidad en el desplegable */
      public function actionSinvelocidad(){
     $dataProvider = new ActiveDataProvider([
        'query' => Animalesmarinos::find()
            ->select(['id','nombre'])
            ->where(['velocidad' => 'no tiene']),
             ]);
        return $this->render("animales-marinos-sin-velocidad",[
            "dataProvider"=>$dataProvider,
        ]);
    }
    
/* Consulta para que muestren los animales marinos muy lentos en el desplegable */
      public function actionMuylenta(){
     $dataProvider = new ActiveDataProvider([
        'query' => Animalesmarinos::find()
            ->select(['id','nombre'])
            ->where(['velocidad' => 'muy lenta']),
             ]);
        return $this->render("animales-marinos-muy-lentos",[
            "dataProvider"=>$dataProvider,
        ]);
    }
    
/* Consulta para que muestren los animales marinos lentos en el desplegable */
      public function actionLenta(){
     $dataProvider = new ActiveDataProvider([
        'query' => Animalesmarinos::find()
            ->select(['id','nombre'])
            ->where(['velocidad' => 'lenta']),
             ]);
        return $this->render("animales-marinos-lentos",[
            "dataProvider"=>$dataProvider,
        ]);
    }
    
/* Consulta para que muestren los animales marinos con velocidad normal en el desplegable */
      public function actionNormal(){
     $dataProvider = new ActiveDataProvider([
        'query' => Animalesmarinos::find()
            ->select(['id','nombre'])
            ->where(['velocidad' => 'mediana']),
             ]);
        return $this->render("animales-marinos-velocidad-normal",[
            "dataProvider"=>$dataProvider,
        ]);
    }
    
/* Consulta para que muestren los animales marinos rápidos en el desplegable */
      public function actionRapida(){
     $dataProvider = new ActiveDataProvider([
        'query' => Animalesmarinos::find()
            ->select(['id','nombre'])
            ->where(['velocidad' => 'rapida']),
             ]);
        return $this->render("animales-marinos-rapidos",[
            "dataProvider"=>$dataProvider,
        ]);
    }
    
/* Consulta para que muestren los animales marinos sin velocidad en el desplegable */
      public function actionMuyrapida(){
     $dataProvider = new ActiveDataProvider([
        'query' => Animalesmarinos::find()
            ->select(['id','nombre'])
            ->where(['velocidad' => 'muy rapida']),
             ]);
        return $this->render("animales-marinos-muy-rapidos",[
            "dataProvider"=>$dataProvider,
        ]);
    }
    
/* CONSULTAS PARA EL DESPLEGABLE DE LOS MESES*/ 
    /* Consulta para que muestre los animales marinos de enero */  
    public function actionAmenero() {
    $dataProvider = new ActiveDataProvider([
        'query' => Animalesmarinos::find()
            ->select(['animalesmarinos.id','nombre'])
            ->innerJoin('mesesam', 'animalesmarinos.id = mesesam.idam')
            ->where(['mesesam.meses' => 'enero']),
        'pagination' => [
            'pageSize' => -1, // Establece el número de registros por página
        ],
    ]);

    return $this->render("am-enero", [
        "dataProvider" => $dataProvider,
    ]);
}

  /* Consulta para que muestre los animales marinos de febrero */  
    public function actionAmfebrero() {
    $dataProvider = new ActiveDataProvider([
        'query' => Animalesmarinos::find()
            ->select(['animalesmarinos.id','nombre'])
            ->innerJoin('mesesam', 'animalesmarinos.id = mesesam.idam')
            ->where(['mesesam.meses' => 'febrero']),

views/animalesmarinos/am-diciembre.php
<?php

/** @var yii\web\View $this */
use yii\helpers\Html;
use yii\widgets\ListView;
/* titulo de la parte de la página en la que estamos*/
$this->title = 'Criaturas submarinas';
?>
<? desplegable de los tipos de sombra de los animales marinos ?>

<div class="btn-group btn-desplegablesombracs " role="group">
     <button id="btnGroupDrop1" type="button" class="btn custom-button dropdown-toggle custom-button btn-sombra" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
      Sombra
     </button>
        <div class="dropdown-menu btn-sombra" aria-labelledby="btnGroupDrop1">
            <p>
              <?= Html::a('Muy pequeña', ['animalesmarinos/muypequena'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Pequeña', ['animalesmarinos/pequena'], ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Mediana', ['animalesmarinos/mediana'], ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Grande', ['animalesmarinos/grande'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
            </p>
        </div>
</div>

<? desplegable de los tipos de velocidad de los animales marinos ?>

<div class="btn-group btn-desplegablevelocidad" role="group">
     <button id="btnGroupDrop1" type="button" class="btn custom-button dropdown-toggle custom-button btn-lugar" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
      Velocidad
     </button>
        <div class="dropdown-menu btn-lugar" aria-labelledby="btnGroupDrop1">
            <p>
              <?= Html::a('Sin velocidad', ['animalesmarinos/sinvelocidad'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Muy lenta', ['animalesmarinos/muylenta'], ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Lenta', ['animalesmarinos/lenta'], ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Mediana', ['animalesmarinos/normal'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Rápida', ['animalesmarinos/rapida'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Muy rápida', ['animalesmarinos/muyrapida'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
            </p>
        </div>
</div>

<? desplegable de los meses que sale cada animal marino ?>

<div class="btn-group btn-desplegablemesesam " role="group">
     <button id="btnGroupDrop1" type="button" class="btn custom-button dropdown-toggle custom-button btn-lugar" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
      Meses
     </button>
        <div class="dropdown-menu btn-lugar" aria-labelledby="btnGroupDrop1">
            <p>
              <?= Html::a('Enero', ['animalesmarinos/amenero'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Febrero', ['animalesmarinos/amfebrero'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Marzo', ['animalesmarinos/ammarzo'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Abril', ['animalesmarinos/amabril'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Mayo', ['animalesmarinos/ammayo'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Junio', ['animalesmarinos/amjunio'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Julio', ['animalesmarinos/amjulio'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Agosto', ['animalesmarinos/amagosto'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Septiembre', ['animalesmarinos/amseptiembre'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Octubre', ['animalesmarinos/amoctubre'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Noviembre', ['animalesmarinos/amnoviembre'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Diciembre', ['animalesmarinos/amdiciembre'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
            </p>
        </div>
</div>

<div class="row">
    <div class=" body-content">
        <h1 class="encabezadoTitulo">Criaturas submarinas</h1>
        <h5> Para conseguirlos necesitas ponerte un bañador y bucear por el mar.</h5>
            <?=
            ListView::widget([
                'dataProvider' => $dataProvider,
                'itemView' => '_consulta-animales-marinos',
                'layout' => "{items}",
                'itemOptions' => [
                    'class' => 'list-view-tarjetas',
                    'style' => 'float: left; justify-content: center; margin-top: 10px; width:30%;'
                ],
            ]);
            ?>
        
    </div>
</div>

views/animalesmarinos/am-febrero.php
<?php

/** @var yii\web\View $this */
use yii\helpers\Html;
use yii\widgets\ListView;
/* titulo de la parte de la página en la que estamos*/
$this->title = 'Criaturas submarinas';
?>
<? desplegable de los tipos de sombra de los animales marinos ?>

<div class="btn-group btn-desplegablesombracs " role="group">
     <button id="btnGroupDrop1" type="button" class="btn custom-button dropdown-toggle custom-button btn-sombra" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
      Sombra
     </button>
        <div class="dropdown-menu btn-sombra" aria-labelledby="btnGroupDrop1">
            <p>
              <?= Html::a('Muy pequeña', ['animalesmarinos/muypequena'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Pequeña', ['animalesmarinos/pequena'], ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Mediana', ['animalesmarinos/mediana'], ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Grande', ['animalesmarinos/grande'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
            </p>
        </div>
</div>

<? desplegable de los tipos de velocidad de los animales marinos ?>

<div class="btn-group btn-desplegablevelocidad" role="group">
     <button id="btnGroupDrop1" type="button" class="btn custom-button dropdown-toggle custom-button btn-lugar" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
      Velocidad
     </button>
        <div class="dropdown-menu btn-lugar" aria-labelledby="btnGroupDrop1">
            <p>
              <?= Html::a('Sin velocidad', ['animalesmarinos/sinvelocidad'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Muy lenta', ['animalesmarinos/muylenta'], ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Lenta', ['animalesmarinos/lenta'], ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Mediana', ['animalesmarinos/normal'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Rápida', ['animalesmarinos/rapida'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Muy rápida', ['animalesmarinos/muyrapida'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
            </p>
        </div>
</div>

<? desplegable de los meses que sale cada animal marino ?>

<div class="btn-group btn-desplegablemesesam " role="group">
     <button id="btnGroupDrop1" type="button" class="btn custom-button dropdown-toggle custom-button btn-lugar" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
      Meses
     </button>
        <div class="dropdown-menu btn-lugar" aria-labelledby="btnGroupDrop1">
            <p>
              <?= Html::a('Enero', ['animalesmarinos/amenero'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Febrero', ['animalesmarinos/amfebrero'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Marzo', ['animalesmarinos/ammarzo'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Abril', ['animalesmarinos/amabril'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Mayo', ['animalesmarinos/ammayo'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Junio', ['animalesmarinos/amjunio'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Julio', ['animalesmarinos/amjulio'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Agosto', ['animalesmarinos/amagosto'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Septiembre', ['animalesmarinos/amseptiembre'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Octubre', ['animalesmarinos/amoctubre'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Noviembre', ['animalesmarinos/amnoviembre'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Diciembre', ['animalesmarinos/amdiciembre'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
            </p>
        </div>
</div>

<div class="row">
    <div class=" body-content">
        <h1 class="encabezadoTitulo">Criaturas submarinas</h1>
        <h5> Para conseguirlos necesitas ponerte un bañador y bucear por el mar.</h5>
            <?=
            ListView::widget([
                'dataProvider' => $dataProvider,
                'itemView' => '_consulta-animales-marinos',
                'layout' => "{items}",
                'itemOptions' => [
                    'class' => 'list-view-tarjetas',
                    'style' => 'float: left; justify-content: center; margin-top: 10px; width:30%;'
                ],
            ]);
            ?>
        
    </div>
</div>

views/animalesmarinos/am-junio.php
<?php

/** @var yii\web\View $this */
use yii\helpers\Html;
use yii\widgets\ListView;
/* titulo de la parte de la página en la que estamos*/
$this->title = 'Criaturas submarinas';
?>
<? desplegable de los tipos de sombra de los animales marinos ?>

<div class="btn-group btn-desplegablesombracs " role="group">
     <button id="btnGroupDrop1" type="button" class="btn custom-button dropdown-toggle custom-button btn-sombra" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
      Sombra
     </button>
        <div class="dropdown-menu btn-sombra" aria-labelledby="btnGroupDrop1">
            <p>
              <?= Html::a('Muy pequeña', ['animalesmarinos/muypequena'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Pequeña', ['animalesmarinos/pequena'], ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Mediana', ['animalesmarinos/mediana'], ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Grande', ['animalesmarinos/grande'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
            </p>
        </div>
</div>

<? desplegable de los tipos de velocidad de los animales marinos ?>

<div class="btn-group btn-desplegablevelocidad" role="group">
     <button id="btnGroupDrop1" type="button" class="btn custom-button dropdown-toggle custom-button btn-lugar" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
      Velocidad
     </button>
        <div class="dropdown-menu btn-lugar" aria-labelledby="btnGroupDrop1">
            <p>
              <?= Html::a('Sin velocidad', ['animalesmarinos/sinvelocidad'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Muy lenta', ['animalesmarinos/muylenta'], ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Lenta', ['animalesmarinos/lenta'], ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Mediana', ['animalesmarinos/normal'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Rápida', ['animalesmarinos/rapida'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Muy rápida', ['animalesmarinos/muyrapida'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
            </p>
        </div>
</div>

<? desplegable de los meses que sale cada animal marino ?>

<div class="btn-group btn-desplegablemesesam " role="group">
     <button id="btnGroupDrop1" type="button" class="btn custom-button dropdown-toggle custom-button btn-lugar" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
      Meses
     </button>
        <div class="dropdown-menu btn-lugar" aria-labelledby="btnGroupDrop1">
            <p>
              <?= Html::a('Enero', ['animalesmarinos/amenero'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Febrero', ['animalesmarinos/amfebrero'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Marzo', ['animalesmarinos/ammarzo'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Abril', ['animalesmarinos/amabril'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Mayo', ['animalesmarinos/ammayo'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Junio', ['animalesmarinos/amjunio'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Julio', ['animalesmarinos/amjulio'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Agosto', ['animalesmarinos/amagosto'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Septiembre', ['animalesmarinos/amseptiembre'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Octubre', ['animalesmarinos/amoctubre'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Noviembre', ['animalesmarinos/amnoviembre'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
              <?= Html::a('Diciembre', ['animalesmarinos/amdiciembre'],   ['class'=>'btn custom-button btn-dentrodesple'])?>
            </p>
        </div>
</div>

<div class="row">
    <div class=" body-content">
        <h1 class="encabezadoTitulo">Criaturas submarinas</h1>
        <h5> Para conseguirlos necesitas ponerte un bañador y bucear por el mar.</h5>
            <?=
            ListView::widget([
                'dataProvider' => $dataProvider,
                'itemView' => '_consulta-animales-marinos',
                'layout' => "{items}",
                'itemOptions' => [
                    'class' => 'list-view-tarjetas',
                    'style' => 'float: left; justify-content: center; margin-top: 10px; width:30%;'
                ],
            ]);
            ?>
        
    </div>
</div>

views/animalesmarinos/view.php
<?php

use yii\helpers\Html;
use yii\widgets\DetailView;

/** @var yii\web\View $this */
/** @var app\models\Animalesmarinos $model */

$this->title = $model->nombre;
\yii\web\YiiAsset::register($this);
?>
<div class="animalesmarinos-view">
    <br>
    <h1><?= Html::encode($this->title) ?></h1>
    <br>

    <?= DetailView::widget([
        'model' => $model,
        'attributes' => [
            'nombre',
            'precio',
            'sombra',
            'velocidad',
        ],
    ]) ?>

</div>